RSS watchlist doesn't honor 'expanded watchlist' preference
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
wikibugs-l
Projects
Reference
bz11218
Description

Author: EN.WP.ST47

Description:
The RSS watchlist (http://en.wikipedia.org/w/api.php?action=feedwatchlist) only shows one edit per page, even though I've set 'Expand watchlist to show all applicable changes'.


Version: 1.11.x
Severity: major
URL: http://en.wikipedia.org/w/api.php?action=feedwatchlist

bzimport added projects: MediaWiki-API, Easy.Via ConduitNov 21 2014, 9:51 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz11218.
bzimport created this task.Via LegacySep 6 2007, 7:25 PM
bzimport added a comment.Via ConduitSep 26 2007, 3:26 AM

cannon.danielc wrote:

Committed r26139 which adds an "allrev" option to feedwatchlist. I'd rather it not default to the user's settings when determining whether or not to show all revisions, as this will result in inconsistent behavior that is inappropriate for an API.

bzimport added a comment.Via ConduitOct 13 2011, 2:03 AM

xenowiki wrote:

According to Anomie at VPT, this was broken in r85756 when someone changed the default for the "allrev" parameter from null to false but forgot to change line 103 to match.

https://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_%28technical%29&oldid=455306071#Watchlist_RSS_feed_now_acts_as_.22expand_watchlist....22

bzimport added a comment.Via ConduitNov 7 2011, 1:44 PM

sumanah wrote:

Per https://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29/Archive_93 it looks like Reedy fixed this in r99694 .

bzimport added a comment.Via ConduitNov 7 2011, 3:41 PM

xenowiki wrote:

Correct - thank you, forgot to re-close this.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.